Index: code/trunk/src/orxonox/objects/collisionshapes/BoxCollisionShape.cc
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/BoxCollisionShape.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/BoxCollisionShape.cc	(revision 3196)
@@ -29,5 +29,5 @@
 #include "BoxCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btBoxShape.h"
+#include <BulletCollision/CollisionShapes/btBoxShape.h>
 
 #include "core/CoreIncludes.h"
@@ -72,5 +72,5 @@
     btCollisionShape* BoxCollisionShape::createNewShape() const
     {
-        return new btBoxShape(omni_cast<btVector3>(this->halfExtents_));
+        return new btBoxShape(multi_cast<btVector3>(this->halfExtents_));
     }
 }
Index: code/trunk/src/orxonox/objects/collisionshapes/BoxCollisionShape.h
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/BoxCollisionShape.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/BoxCollisionShape.h	(revision 3196)
@@ -32,4 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include "util/Math.h"
 #include "CollisionShape.h"
 
Index: code/trunk/src/orxonox/objects/collisionshapes/CollisionShape.cc
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/CollisionShape.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/CollisionShape.cc	(revision 3196)
@@ -29,11 +29,8 @@
 #include "CollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btCollisionShape.h"
+#include <BulletCollision/CollisionShapes/btCollisionShape.h>
 
-#include "util/Exception.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "tools/BulletConversions.h"
-
 #include "objects/worldentities/WorldEntity.h"
 #include "CompoundCollisionShape.h"
@@ -129,6 +126,6 @@
     bool CollisionShape::hasTransform() const
     {
-        return (!this->position_.positionEquals(Vector3(0, 0, 0), 0.001) ||
-                !this->orientation_.equals(Quaternion(1,0,0,0), Degree(0.1)));
+        return (!this->position_.positionEquals(Vector3(0, 0, 0), 0.001f) ||
+                !this->orientation_.equals(Quaternion(1,0,0,0), Degree(0.1f)));
     }
 
Index: code/trunk/src/orxonox/objects/collisionshapes/CompoundCollisionShape.cc
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/CompoundCollisionShape.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/CompoundCollisionShape.cc	(revision 3196)
@@ -29,7 +29,6 @@
 #include "CompoundCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btCompoundShape.h"
+#include <BulletCollision/CollisionShapes/btCompoundShape.h>
 
-#include "util/Exception.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -89,5 +88,5 @@
         {
             // Only actually attach if we didn't pick a CompoundCollisionShape with no content
-            btTransform transf(omni_cast<btQuaternion>(shape->getOrientation()), omni_cast<btVector3>(shape->getPosition()));
+            btTransform transf(multi_cast<btQuaternion>(shape->getOrientation()), multi_cast<btVector3>(shape->getPosition()));
             this->compoundShape_->addChildShape(transf, shape->getCollisionShape());
 
@@ -134,5 +133,5 @@
         {
             // Only actually attach if we didn't pick a CompoundCollisionShape with no content
-            btTransform transf(omni_cast<btQuaternion>(shape->getOrientation()), omni_cast<btVector3>(shape->getPosition()));
+            btTransform transf(multi_cast<btQuaternion>(shape->getOrientation()), multi_cast<btVector3>(shape->getPosition()));
             this->compoundShape_->addChildShape(transf, shape->getCollisionShape());
             it->second = shape->getCollisionShape();
Index: code/trunk/src/orxonox/objects/collisionshapes/CompoundCollisionShape.h
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/CompoundCollisionShape.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/CompoundCollisionShape.h	(revision 3196)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
-#include <vector>
 #include <cassert>
+#include <map>
 #include "CollisionShape.h"
 
Index: code/trunk/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc	(revision 3196)
@@ -29,9 +29,8 @@
 #include "ConeCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btConeShape.h"
+#include <BulletCollision/CollisionShapes/btConeShape.h>
 
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "tools/BulletConversions.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/collisionshapes/ConeCollisionShape.h
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/ConeCollisionShape.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/ConeCollisionShape.h	(revision 3196)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "CollisionShape.h"
 
Index: code/trunk/src/orxonox/objects/collisionshapes/PlaneCollisionShape.cc
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/PlaneCollisionShape.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/PlaneCollisionShape.cc	(revision 3196)
@@ -29,5 +29,5 @@
 #include "PlaneCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btStaticPlaneShape.h"
+#include <BulletCollision/CollisionShapes/btStaticPlaneShape.h>
 
 #include "core/CoreIncludes.h"
@@ -72,5 +72,5 @@
     btCollisionShape* PlaneCollisionShape::createNewShape() const
     {
-        return new btStaticPlaneShape(omni_cast<btVector3>(this->normal_), this->offset_);
+        return new btStaticPlaneShape(multi_cast<btVector3>(this->normal_), this->offset_);
     }
 }
Index: code/trunk/src/orxonox/objects/collisionshapes/PlaneCollisionShape.h
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/PlaneCollisionShape.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/PlaneCollisionShape.h	(revision 3196)
@@ -32,4 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include "util/Math.h"
 #include "CollisionShape.h"
 
Index: code/trunk/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc	(revision 3196)
@@ -29,9 +29,8 @@
 #include "SphereCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btSphereShape.h"
+#include <BulletCollision/CollisionShapes/btSphereShape.h>
 
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "tools/BulletConversions.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/collisionshapes/SphereCollisionShape.h
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/SphereCollisionShape.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/SphereCollisionShape.h	(revision 3196)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "CollisionShape.h"
 
Index: code/trunk/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.cc
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.cc	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.cc	(revision 3196)
@@ -29,7 +29,7 @@
 #include "WorldEntityCollisionShape.h"
 
-#include "BulletCollision/CollisionShapes/btCompoundShape.h"
+#include <BulletCollision/CollisionShapes/btCompoundShape.h>
 
-#include "util/Exception.h"
+#include "util/OrxAssert.h"
 #include "core/CoreIncludes.h"
 #include "objects/worldentities/WorldEntity.h"
Index: code/trunk/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.h
===================================================================
--- code/trunk/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.h	(revision 3110)
+++ code/trunk/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.h	(revision 3196)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "CompoundCollisionShape.h"
 
